Page MenuHomePhabricator

[compiler-rt] Cleanup usage of C++ ABI library
ClosedPublic

Authored by Hahnfeld on Feb 10 2019, 3:58 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

Hahnfeld created this revision.Feb 10 2019, 3:58 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptFeb 10 2019, 3:58 AM
Herald added subscribers: llvm-commits, Restricted Project, jfb and 4 others. · View Herald Transcript
Hahnfeld marked an inline comment as done.Feb 10 2019, 3:59 AM
Hahnfeld added inline comments.
compiler-rt/lib/fuzzer/tests/CMakeLists.txt
24 ↗(On Diff #186146)

I wonder if this should be -pthread, or better yet ${CMAKE_THREAD_LIBS_INIT}?

Hahnfeld updated this revision to Diff 186704.Feb 13 2019, 11:15 AM
Hahnfeld marked an inline comment as done.
Hahnfeld edited the summary of this revision. (Show Details)

Rebase, apply the same treatment to TSan, and rename option to SANITIZER_TEST_CXX.

Hahnfeld added inline comments.Feb 13 2019, 11:19 AM
compiler-rt/lib/fuzzer/tests/CMakeLists.txt
24 ↗(On Diff #186146)

I've changed that...

This revision was not accepted when it landed; it landed in state Needs Review.Feb 15 2019, 6:30 AM
Closed by commit rL354132: [compiler-rt] Cleanup usage of C++ ABI library (authored by Hahnfeld, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.
Hahnfeld reopened this revision.Feb 15 2019, 10:27 AM

I had to revert this in r354153 because it breaks sanitizer-x86_64-linux:
http://lab.llvm.org:8011/builders/sanitizer-x86_64-linux/builds/19915

I'll probably land this without the pthread changes tomorrow or on Monday and clean that up in another revision.

Hahnfeld updated this revision to Diff 187072.Feb 15 2019, 12:57 PM

Revert changes to CMAKE_THREAD_LIBS_INIT.

Turns out my fix in rCT354143 would have been correct, if some previous lines didn't add -nodefaultlibs to CMAKE_REQUIRED_FLAGS...

This revision was not accepted when it landed; it landed in state Needs Review.Feb 16 2019, 12:35 AM
Closed by commit rL354198: [compiler-rt] Cleanup usage of C++ ABI library (authored by Hahnfeld, committed by ). · Explain Why
This revision was automatically updated to reflect the committed changes.